Package org.eclipse.rdf4j.model.impl

## Class BooleanLiteral

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractLiteral
  - - org.eclipse.rdf4j.model.impl.SimpleLiteral
    - - org.eclipse.rdf4j.model.impl.BooleanLiteral

- All Implemented Interfaces:
    `Serializable`, `Literal`, `Value`

      public class BooleanLiteral
      extends SimpleLiteral

  An extension of `SimpleLiteral` that stores a boolean value to avoid parsing.
  Author:
    David Huynh, Arjohn Kampman
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static BooleanLiteral` | `FALSE` |
    `static BooleanLiteral` | `TRUE` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BooleanLiteral​(boolean value)` | Creates an xsd:boolean typed literal with the specified value.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `booleanValue()` | Returns the boolean value of this literal.
    `CoreDatatype.XSD` | `getCoreDatatype()` | CoreDatatype is an interface for natively supported datatypes in RDF4J.
    `static BooleanLiteral` | `valueOf​(boolean value)` | Returns a `BooleanLiteral` for the specified value.

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleLiteral

      `byteValue, calendarValue, decimalValue, doubleValue, equals, floatValue, getDatatype, getLabel, getLanguage, getXsdDatatype, hashCode, integerValue, intValue, longValue, setDatatype, setDatatype, setDatatype, setDatatype, setLabel, setLanguage, shortValue, stringValue, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractLiteral

      `temporalAccessorValue, temporalAmountValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Literal

      `isLiteral`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isResource, isTriple`

- - ### Field Detail

    - #### TRUE

          public static final BooleanLiteral TRUE

    - #### FALSE

          public static final BooleanLiteral FALSE

  - ### Constructor Detail

    - #### BooleanLiteral

          protected BooleanLiteral​(boolean value)

      Creates an xsd:boolean typed literal with the specified value.

  - ### Method Detail

    - #### booleanValue

          public boolean booleanValue()

      Description copied from interface: `Literal`
      Returns the boolean value of this literal.
      Specified by:
        `booleanValue` in interface `Literal`
      Overrides:
        `booleanValue` in class `SimpleLiteral`
      Returns:
        The boolean value of the literal.

    - #### valueOf

          public static BooleanLiteral valueOf​(boolean value)

      Returns a `BooleanLiteral` for the specified value. This method uses the constants `TRUE` and `FALSE` as result values, preventing the often unnecessary creation of new `BooleanLiteral` objects.

    - #### getCoreDatatype

          public CoreDatatype.XSD getCoreDatatype()

      Description copied from interface: `Literal`
      CoreDatatype is an interface for natively supported datatypes in RDF4J. This includes, among others, the XML Schema datatypes and rdf:langString. CoreDatatypes are implemented as enums and more performant and convenient to work with than IRI-based datatypes. The constant {@link CoreDatatype#NONE)} is used to represent a datatype that is not one of the supported core datatypes.
      Specified by:
        `getCoreDatatype` in interface `Literal`
      Overrides:
        `getCoreDatatype` in class `SimpleLiteral`
      Returns:
        The CoreDatatype or {@link CoreDatatype#NONE)} if the datatype matches none of the core datatypes. This method will not return null.